function seqorfs_data = fix_seqorfs(seqorfs_data, seq_len)
%FIX_SEQORFS returns an array containing the orfs of a sequenced ordered by 
%the start codon.
%
%   SEQOUT=FIX_SEQORFS(SEQ, SEQ_LEN) receives as input an array of the information
%   of the ORFs of a sequence (start/stop position, length, frame) and its 
%   length and returns them ordered by the start position. 
%
%
%   See also FIX_SEQ, SEQORFS, SEQSHOWORFS, REGEXP.

    for i= 1: size(seqorfs_data, 1)
        if( seqorfs_data(i, 4) < 0)
            seqorfs_data(i, 1) = seq_len - seqorfs_data(i, 1) + 1;
            seqorfs_data(i, 2) = seq_len - seqorfs_data(i, 2) + 1;
        end 
    end
    seqorfs_data=sortrows(seqorfs_data);
end        